API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /environments/{env_name}/stats
Analytics reports based on runtime metrics collected by the API Platform that measure API consumption and performance
  • Pre-computed, static dimensions used for operational dashboards
  • Dynamic dimensions, whose metrics are computed 'on-demand' when a report is built
  • Custom dimensions, which enable you to build reports based on message content

For each type of dimension, you construct a request by adding the desired dimension by name as a URI parameter following /stats.

For example:

/stats/apis
/stats/apps

You define the report by specifying a set or query parameters that define the desired metrics, calculation, time range, and filters.

For pre-computed metrics, only simple calculations are needed, since the specific function used to perform the calculation is embedded in the metric.

To generate custom reports, you select a metric + function calculation to run over the specified dimensions.

The base request to create a custom report that calculates average response time for all APIs in an environment is:

/stats/apis?select=avg(total_response_time)

Use the additional query parameters defined in the API method to construct the complete request.

For usage, see the API Platform Developer Guide topic.

Get an analytics report for a dimension Detail
/environments/{environment_name}/stats/{dimension_name}
Verb: GET
Description: Use the GET method to retrieve metrics for a dimension
Content Types:
application/json
Auth: Basic Auth